# Laurent - 3.0-0.1mdk - Temporary macros. To remove later
%define _prefix         /opt/kde3/
%define _exec-prefix    /opt/kde3/
%define _bindir         /opt/kde3/bin/
%define _sbindir        /opt/kde3/sbin/
%define _sysconfdir     /opt/kde3/etc/
%define _datadir        /opt/kde3/share/
%define _includedir     /opt/kde3/include/
%define _libdir         /opt/kde3/lib/
%define _libexecdir     /opt/kde3/lib/
%define _localstatedir  /opt/kde3/var/lib/
%define _sharedstatedir /opt/kde3/com/
%define _mandir         /opt/kde3/share/man/
%define _infodir        /opt/kde3/share/info/
%define _docdir         /opt/kde3/share/doc/
%define _menudir	/usr/lib/menu

# Dadou - 2.3.1-15mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_3 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.3 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor8_3
%define unstable 1
%else
%define unstable 0
%endif

Name: 		kdesdk3
Icon: 		kde-icon.xpm
Summary: 	K Desktop Environment - Software Development Kit
Version: 	3.0.2
Release: 	1mdk
Epoch: 		1
License:	GPL

Source: 	kdesdk-%{version}.tar.bz2

Group: 		Graphical desktop/KDE
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
BuildRoot: 	%_tmppath/%name-%version-%release-root


%if %buildfor8_0
BuildRequires:	Mesa-common XFree86-devel XFree86-libs XFree86-static-libs
BuildRequires:	autoconf automake bison db1 db2 diffutils file flex
BuildRequires:	freetype2 gawk gcc-c++ gcc-cpp gettext kdelibs3-devel
BuildRequires:	libbinutils2 libbzip2_1 libjpeg62
BuildRequires:	libjpeg62-devel libmng1 libpng2 libqt3 libqt3-devel
BuildRequires:	libtermcap m4 mktemp pam popt readline rpm-build texinfo zlib1
%endif

%if %buildfor8_1
BuildRequires:  Mesa-common XFree86-devel XFree86-libs XFree86-static-libs
BuildRequires:  autoconf automake bison db1 db2 diffutils file flex
BuildRequires:  freetype2 gawk gcc-c++ gcc-cpp gettext kdelibs3-devel
BuildRequires:  libbinutils2 libbzip2_1 libjpeg62
BuildRequires:  libjpeg62-devel libmng1 libpng2 libqt3 libqt3-devel
BuildRequires:  libtermcap m4 mktemp pam popt readline rpm-build texinfo zlib1
%endif

%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs autoconf
BuildRequires:	automake bison db2 diffutils file flex freetype2-devel gawk
BuildRequires:	gcc-c++ gcc-cpp gettext kdelibs3-devel libMesaGLU1
BuildRequires:	libbinutils2 libbinutils2-devel libbzip2_1-devel libintl1
BuildRequires:	libjpeg62-devel liblcms1 libmng1-devel libpng3-devel libqt3-devel
BuildRequires:	libstdc++2.10 libtermcap2 m4 mktemp
BuildRequires:	perl perl-MDK-Common popt rpm-build texinfo zlib1
%endif

%if %buildfor8_3
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs autoconf
BuildRequires:  automake bison db2 diffutils file flex freetype2-devel gawk
BuildRequires:  gcc-c++ gcc-cpp gettext kdelibs3-devel libMesaGLU1
BuildRequires:  libbinutils2 libbinutils2-devel libbzip2_1-devel libintl1
BuildRequires:  libjpeg62-devel liblcms1 libmng1-devel libpng3-devel libqt3-devel
BuildRequires:  libstdc++2.10 libtermcap2 m4 mktemp
BuildRequires:  perl perl-MDK-Common popt rpm-build texinfo zlib1
%endif

%description
Software Development Kit for the K Desktop Environment.


%package devel
Summary:        Header files for kdesdk
%if %buildfor8_0 || %buildfor8_1
Group:		Development/KDE and QT
%else
Group:		Development/KDE and Qt
%endif
PreReq:		%name = %version-%release
 
%description devel	
This package includes the header files you will need to compile
applications for kdesdk.



%prep



%setup -q -nkdesdk-%{version}



%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
	            --mandir=%_mandir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
		--enable-debug=full \
%else
		--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama

%make



%install
rm -fr %buildroot

# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif
export PATH=%_bindir:$PATH

make install DESTDIR=%buildroot

# Create LMDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Development/
kdedesktop2mdkmenu.pl kdesdk3 Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kbabel.desktop %buildroot/%_menudir/kdesdk3-kbabel
kdedesktop2mdkmenu.pl kdesdk3 Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kbabeldict.desktop %buildroot/%_menudir/kdesdk3-kbabeldict
kdedesktop2mdkmenu.pl kdesdk3 Applications/Development/Tools %buildroot/%_datadir/applnk/Development/catalogmanager.desktop %buildroot/%_menudir/kdesdk3-catalogmanager
kdedesktop2mdkmenu.pl kdesdk3 Applications/Development/Tools %buildroot/%_datadir/applnk/Development/cervisia.desktop %buildroot/%_menudir/kdesdk3-cervisia
kdedesktop2mdkmenu.pl kdesdk3 Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kompare.desktop %buildroot/%_menudir/kdesdk3-kompare

kdedesktop2mdkmenu.pl kdesdk3 Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kbugbuster.desktop %buildroot/%_menudir/kdesdk3-kbugbuster


%post
%define _bindir         /usr/bin/
/sbin/ldconfig
%update_menus
%define _bindir         /opt/kde3/bin/


%postun
%define _bindir         /usr/bin/
/sbin/ldconfig
%clean_menus
%define _bindir         /opt/kde3/bin/


%clean
rm -fr %buildroot


%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kbabel/
%_docdir/HTML/en/kbabel/common
%_docdir/HTML/en/kbabel/*.docbook
%_docdir/HTML/en/kbabel/*.png
%_docdir/HTML/en/kbabel/*.bz2
#
#
%dir %_docdir/HTML/en/cervisia/
%_docdir/HTML/en/cervisia/common
%_docdir/HTML/en/cervisia/*.docbook
%_docdir/HTML/en/cervisia/*.png
%_docdir/HTML/en/cervisia/*.bz2
#
%doc %_mandir/man1/*
#
#
#
%_bindir/*
#
#
#
%_libdir/*.la
%_libdir/*.so*
#
#
%dir %_libdir/kde3/
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Development/
%_datadir/applnk/Development/kbabel.desktop
%_datadir/applnk/Development/kbabeldict.desktop
%_datadir/applnk/Development/catalogmanager.desktop
%_datadir/applnk/Development/cervisia.desktop
%_datadir/applnk/Development/kompare.desktop
%_datadir/applnk/Development/kbugbuster.desktop
#
#
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kbabel/
%_datadir/apps/kbabel/*.rc
#
#
%dir %_datadir/apps/kbabel/icons/
%dir %_datadir/apps/kbabel/icons/locolor/
%dir %_datadir/apps/kbabel/icons/locolor/16x16/
%dir %_datadir/apps/kbabel/icons/locolor/16x16/actions/
%_datadir/apps/kbabel/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/locolor/32x32/
%dir %_datadir/apps/kbabel/icons/locolor/32x32/actions/
%_datadir/apps/kbabel/icons/locolor/32x32/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/
%dir %_datadir/apps/kbabel/icons/hicolor/22x22/
%dir %_datadir/apps/kbabel/icons/hicolor/22x22/actions/
%_datadir/apps/kbabel/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/16x16/
%dir %_datadir/apps/kbabel/icons/hicolor/16x16/actions/
%_datadir/apps/kbabel/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/32x32/
%dir %_datadir/apps/kbabel/icons/hicolor/32x32/actions/
%_datadir/apps/kbabel/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/kbabel/pics/
%_datadir/apps/kbabel/pics/*.png
#
#
%dir %_datadir/apps/kbabeldict/
%dir %_datadir/apps/kbabeldict/modules/
%_datadir/apps/kbabeldict/modules/*.rc
#
%dir %_datadir/apps/catalogmanager
%_datadir/apps/catalogmanager/*.rc
%dir %_datadir/apps/catalogmanager/icons/
%dir %_datadir/apps/catalogmanager/icons/hicolor/
%dir %_datadir/apps/catalogmanager/icons/hicolor/16x16/
%dir %_datadir/apps/catalogmanager/icons/hicolor/16x16/actions/
%_datadir/apps/catalogmanager/icons/hicolor/16x16/actions/*.png
%dir %_datadir/apps/catalogmanager/icons/hicolor/22x22/
%dir %_datadir/apps/catalogmanager/icons/hicolor/22x22/actions/
%_datadir/apps/catalogmanager/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/catalogmanager/icons/hicolor/32x32/
%dir %_datadir/apps/catalogmanager/icons/hicolor/32x32/actions/
%_datadir/apps/catalogmanager/icons/hicolor/32x32/actions/*.png

%dir %_datadir/apps/catalogmanager/icons/locolor/
%dir %_datadir/apps/catalogmanager/icons/locolor/16x16/
%dir %_datadir/apps/catalogmanager/icons/locolor/16x16/actions/
%_datadir/apps/catalogmanager/icons/locolor/16x16/actions/*.png
%dir %_datadir/apps/catalogmanager/icons/locolor/22x22/
%dir %_datadir/apps/catalogmanager/icons/locolor/22x22/actions/
%_datadir/apps/catalogmanager/icons/locolor/22x22/actions/*.png

%dir %_datadir/apps/catalogmanager/icons/locolor/32x32/
%dir %_datadir/apps/catalogmanager/icons/locolor/32x32/actions/
%_datadir/apps/catalogmanager/icons/locolor/32x32/actions/*.png

%dir %_datadir/apps/catalogmanager/pics/
%_datadir/apps/catalogmanager/pics/*.png


%dir %_datadir/apps/cervisia/
%_datadir/apps/cervisia/*.rc
#
%dir %_datadir/apps/kompare/
%_datadir/apps/kompare/*.rc

%dir %_datadir/apps/komparepart/
%_datadir/apps/komparepart/*.rc

%dir %_datadir/apps/kompare/icons/
%dir %_datadir/apps/kompare/icons/hicolor/
%dir %_datadir/apps/kompare/icons/hicolor/16x16/
%dir %_datadir/apps/kompare/icons/hicolor/16x16/apps/
%_datadir/apps/kompare/icons/hicolor/16x16/apps/*.png

%dir %_datadir/apps/kompare/icons/locolor/
%dir %_datadir/apps/kompare/icons/locolor/16x16/
%dir %_datadir/apps/kompare/icons/locolor/16x16/apps/
%_datadir/apps/kompare/icons/locolor/16x16/apps/*.png

%dir %_datadir/apps/kompare/icons/locolor/32x32/
%dir %_datadir/apps/kompare/icons/locolor/32x32/apps/
%_datadir/apps/kompare/icons/locolor/32x32/apps/*.png


#
%dir %_datadir/apps/kmtrace/
%_datadir/apps/kmtrace/*.excludes
#
#
%dir %_datadir/apps/kbugbuster/
%_datadir/apps/kbugbuster/*.rc
#
%dir %_datadir/apps/kbugbuster/pics/
%_datadir/apps/kbugbuster/pics/*.png
#
%dir %_iconsdir/
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/mimetypes/
%_iconsdir/hicolor/16x16/mimetypes/*.png
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
%dir %_iconsdir/hicolor/32x32/mimetypes/
%_iconsdir/hicolor/32x32/mimetypes/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
%dir %_iconsdir/hicolor/48x48/mimetypes/
%_iconsdir/hicolor/48x48/mimetypes/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/16x16/mimetypes/
%_iconsdir/locolor/16x16/mimetypes/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
%dir %_iconsdir/locolor/32x32/mimetypes/
%_iconsdir/locolor/32x32/mimetypes/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
#
#
%dir %_datadir/services/
%_datadir/services/pothumbnail.desktop
%_datadir/services/kompare_part.desktop

%_libdir/libktrace.a

%files devel
%defattr(-,root,root,-)
#
%dir %_includedir/kbabel/
%_includedir/kbabel/*.h
%_includedir/*.h


%changelog
* Wed Jun 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde 3.0.2

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- Rc2

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
    now)
    
* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file 

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
